Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.internal
Class MessageExchangeProvider.MessageReceiver

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeProvider.MessageReceiver

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MessageExchangeProvider

public static class MessageExchangeProvider.MessageReceiver
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected KeyedBuffer` | `channel`
`protected Handler` | `handler`
`protected static org.apache.commons.logging.Log` | `log`
`protected ReceivedMessageDispatchPolicy` | `policy`
`protected ThreadPool` | `pool`

Constructor Summary
`protected` | `MessageExchangeProvider.MessageReceiver(ThreadPool pool, KeyedBuffer channel, ReceivedMessageDispatchPolicy policy, Handler handler)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### pool

    protected ThreadPool pool

### channel

    protected KeyedBuffer channel

### policy

    protected ReceivedMessageDispatchPolicy policy

### handler

    protected Handler handler

Constructor Detail

### MessageExchangeProvider.MessageReceiver

    protected MessageExchangeProvider.MessageReceiver(ThreadPool pool,
                                                      KeyedBuffer channel,
                                                      ReceivedMessageDispatchPolicy policy,
                                                      Handler handler)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Runnable.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.